Skip to main content

Add Secondary Clusters (V2)

Adds one or more secondary clusters. New secondary clusters use the existing Global Cluster CU specification.

POST/v2/globalClusters/{globalClusterId}/secondaryClusters
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
globalClusterIdstringpathrequired

ID of the Global Cluster.

Example Value: glo-xxxxxxxxxxxxxxx
Request Bodyapplication/json
secondaryClustersarrayrequired

Secondary clusters to add.

[]secondaryClustersobjectrequired
clusterNamestringrequired

Secondary cluster display name.

Example Value: secondary-cluster-ap
regionIdstringrequired

Secondary cluster region ID.

Example Value: aws-ap-southeast-1
export TOKEN="YOUR_API_KEY"
export globalClusterId="glo-xxxxxxxxxxxxxxx"

curl --request POST \
--url "${BASE_URL}/v2/globalClusters/${globalClusterId}/secondaryClusters" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json" \
-d '{
"secondaryClusters": [
{
"clusterName": "secondary-cluster-ap",
"regionId": "aws-ap-southeast-1"
}
]
}'
Responses200 - application/json
jobIdstring

Job ID for the asynchronous operation.

Example Value: job-xxxxxxxxxxxxxxx

Returns an error message.

codeinteger

Response code.

Example Value: 400
messagestring

Error message.

Example Value: Invalid request parameters.
{
"jobId": "job-xxxxxxxxxxxxxxx"
}